using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class PlaceHolder : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Table table = new Table();
        table.BorderStyle = BorderStyle.Solid;
        table.GridLines = GridLines.Both;
        table.BorderWidth = Unit.Pixel(1);
        TableRow tableRow = new TableRow();
        TableCell tableCell = new TableCell();
        Label label = new Label();
        label.Text = "Old Password:";
        tableCell.Controls.Add(label);
        tableRow.Cells.Add(tableCell);
        tableCell = new TableCell();
        TextBox textBox = new TextBox();
        textBox.TextMode = TextBoxMode.Password;
        tableCell.Controls.Add(textBox);
        tableRow.Cells.Add(tableCell);
        table.Rows.Add(tableRow);

        tableRow = new TableRow();
        tableCell = new TableCell();
        label = new Label();
        label.Text = "NewPassword:";
        tableCell.Controls.Add(label);
        tableRow.Cells.Add(tableCell);
        tableCell = new TableCell();
        textBox = new TextBox();
        textBox.TextMode = TextBoxMode.Password;
        tableCell.Controls.Add(textBox);
        tableRow.Cells.Add(tableCell);
        table.Rows.Add(tableRow);

        tableRow = new TableRow();
        tableCell = new TableCell();
        label = new Label();
        label.Text = "Retype:";
        tableCell.Controls.Add(label);
        tableRow.Cells.Add(tableCell);
        tableCell = new TableCell();
        textBox = new TextBox();
        textBox.TextMode = TextBoxMode.Password;
        tableCell.Controls.Add(textBox);
        tableRow.Cells.Add(tableCell);
        table.Rows.Add(tableRow);


        tableRow = new TableRow();
        tableCell = new TableCell();
        tableCell.Text = "&nbsp;";
        tableRow.Cells.Add(tableCell);
        tableCell = new TableCell();
        Button button = new Button();
        button.Text = "OK";
        tableCell.Controls.Add(button);
        tableRow.Cells.Add(tableCell);
        table.Rows.Add(tableRow);
        this.PlaceHolder1.Controls.Add(table);
    }
}
